bios.h File Reference

Go to the source code of this file.

## Macros

#define | BIOS_ROM_START 0xc0000
#define | BIOS_ROM_SIZE 0x40000
#define | BIOS_RAM_START 0x400
#define | BIOS_RAM_SIZE 0x100

## Functions

void | hd_scan_bios (hd_data_t *hd_data)
void | get_vbe_info (hd_data_t *hd_data, vbe_info_t *vbe)

## Macro Definition Documentation

## BIOS_RAM_SIZE

#define BIOS_RAM_SIZE 0x100

## BIOS_RAM_START

#define BIOS_RAM_START 0x400

## BIOS_ROM_SIZE

#define BIOS_ROM_SIZE 0x40000

## BIOS_ROM_START

#define BIOS_ROM_START 0xc0000

## Function Documentation

## get_vbe_info()

void get_vbe_info | ( | hd_data_t * | hd_data,
|  | vbe_info_t * | vbe )

References hd_data.

## hd_scan_bios()

void hd_scan_bios | ( | hd_data_t * | hd_data | ) |

References hd_data.

Referenced by hd_scan_no_hal().